[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TReader.Read

Read raw data from stream

## Declaration

Source position: classesh.inc line 1396

`public procedure TReader.Read(`
`var Buf;`
`Count: LongInt`
`); virtual;`

## Description

Read is introduced for Delphi compatibility to read raw data from the component stream. This should not be used in new production code as it will totally mess up the streaming.

## See also

TAbstractObjectReader.Read |  | Read raw data from stream
TBinaryObjectReader.Read |  | Read raw data from stream